Bug 740822 (CVE-2011-3372) - CVE-2011-3372 cyrus-imapd: nntpd authentication bypass
Summary: CVE-2011-3372 cyrus-imapd: nntpd authentication bypass
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-3372
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20111005,repor...
Depends On: 741698 741699 741700 741701 741702 833885 844263
Blocks: 740836
TreeView+ depends on / blocked
 
Reported: 2011-09-23 13:28 UTC by Jan Lieskovsky
Modified: 2019-06-08 18:55 UTC (History)
3 users (show)

Fixed In Version: cyrus-imapd 2.4.12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-01 17:08:40 UTC


Attachments (Terms of Use)
Proposed Cyrus upstream patch to correct this issue against master branch (8.15 KB, patch)
2011-09-23 13:33 UTC, Jan Lieskovsky
no flags Details | Diff
Proposed Cyrus upstream patch to correct this issue against v2.4 branch (8.14 KB, patch)
2011-09-23 13:34 UTC, Jan Lieskovsky
no flags Details | Diff
Proposed Cyrus upstream patch to correct this issue against v2.3 branch (7.82 KB, patch)
2011-09-23 13:35 UTC, Jan Lieskovsky
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1508 normal SHIPPED_LIVE Moderate: cyrus-imapd security update 2011-12-01 21:44:13 UTC

Description Jan Lieskovsky 2011-09-23 13:28:45 UTC
It was found that the Cyrus NNTP daemon (nntpd) did not properly verify that the user has successfully authenticated when checking if client requested NNTP commands can be performed. A remote NNTP client could use this flaw to bypass the authentication mechanism and obtain access to the information that should require authentication (list of newsgroups, newsgroup messages) or post new messages.

Acknowledgement:

Red Hat would like to thank Cyrus IMAP project for reporting this issue. Upstream acknowledges Stefan Cornelius of Secunia Research as the original reporter.

Comment 1 Jan Lieskovsky 2011-09-23 13:30:30 UTC
This issue affects the versions of the cyrus-imapd package, as shipped with
Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the cyrus-imapd package, as shipped with Fedora release of 14 and 15.

Comment 3 Jan Lieskovsky 2011-09-23 13:33:31 UTC
Created attachment 524614 [details]
Proposed Cyrus upstream patch to correct this issue against master branch

Comment 4 Jan Lieskovsky 2011-09-23 13:34:32 UTC
Created attachment 524615 [details]
Proposed Cyrus upstream patch to correct this issue against v2.4 branch

Comment 5 Jan Lieskovsky 2011-09-23 13:35:07 UTC
Created attachment 524616 [details]
Proposed Cyrus upstream patch to correct this issue against v2.3 branch

Comment 8 Jan Lieskovsky 2011-09-23 14:16:53 UTC
The CVE identifier of CVE-2011-3372 has been assigned to this issue.

Comment 11 Vincent Danen 2011-10-05 14:55:28 UTC
This issue is now public:

http://cyrusimap.org/mediawiki/index.php/Latest_Updates
http://secunia.com/advisories/46093/

Comment 13 errata-xmlrpc 2011-12-01 16:46:12 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:1508 https://rhn.redhat.com/errata/RHSA-2011-1508.html


Note You need to log in before you can comment on or make changes to this bug.